%{?python_enable_dependency_generator}
%global pypi_name responses
%global sum Reusable django app for collecting and visualizing network topology


Name:           python-%{pypi_name}
Version:        0.12.1
Release:        %mkrel 1
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/getsentry/responses
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
Group:         Development/Python

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-coverage
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-mock

%description
A utility library for mocking out the requests Python library.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-six
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# skipping tests due to missing dependencies: python-pytest-localserver
#%%check
#%%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*.pyc


%changelog
* Fri Dec 18 2020 joequant <joequant> 0.12.1-1.mga8
+ Revision: 1660826
- update to 0.12.1

* Thu Jun 04 2020 joequant <joequant> 0.10.14-1.mga8
+ Revision: 1590201
- imported package python-responses

